import gymnasium as gym  # Use gymnasium instead of gym
from stable_baselines3 import A2C
from stable_baselines3.common.evaluation import evaluate_policy

# Create the CartPole environment (Gymnasium syntax)
env = gym.make("CartPole-v1")

# Initialize the A2C model
model = A2C("MlpPolicy", env, verbose=1)

# Train the model
model.learn(total_timesteps=100000)

# Save the model
model.save("a2c_cartpole")

# Evaluate the trained model
mean_reward, std_reward = evaluate_policy(model, env, n_eval_episodes=10)

print(f"✅ Mean Reward: {mean_reward:.2f} ± {std_reward:.2f}")

# Close the environment
env.close()
