import gym
from stable_baselines3 import A2C
from huggingface_sb3 import package_to_hub

# Define your Hugging Face repository ID
repo_id = "pinkiexi/a2c-cartpole-v1"  # Change this!

# Create and initialize the environment
env = gym.make("CartPole-v1")

# Load the trained model
model = A2C.load("a2c_cartpole")

# Upload the model to Hugging Face Hub
package_to_hub(
    model=model,
    model_name="A2C",
    model_architecture="A2C",
    env_id="CartPole-v1",
    repo_id=repo_id,
    commit_message="Upload trained A2C model for CartPole",
    eval_env=env  # ✅ Now, env is defined
)
